- Home
- Resources
- Drawing Ownership Admin API
Abstract class for REST webservices
GET /admin/ownership/vector/{userId}
get Documents list for owner
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| userId |
path |
- id of user |
|
long |
| limit |
query |
|
|
long |
| offset |
query |
|
|
long |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
JSON with documents containing vectors owned by user |
PUT /admin/ownership/vector/{userId}
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| userId |
path |
|
|
long |
Request Body
| media type |
data type |
| application/json |
string
(JSON) |
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
|
GET /admin/ownership/vectorentity/{userId}
get Documents list for owner
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| userId |
path |
- id of user |
|
long |
| limit |
query |
|
|
long |
| offset |
query |
|
|
long |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
JSON with documents containing verctor entities owned by user |
PUT /admin/ownership/vectorentity/{userId}
Update vector entities (vector shape) parameters
request must also contains json array of objects with xml snippets and
params to be updated
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| userId |
path |
|
|
long |
Request Body
| media type |
data type |
| application/json |
string
(JSON) |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
json object with report about success of update operations |